/* =================================================================================== */
/* =================================================================================== */
/* wk-seccion-tienda: clase usada para todos las secciones del themebuilder archivos tienda y productos */
/* =================================================================================== */
/* =================================================================================== */

.wk-seccion-tienda {
    --wk-seccion-tienda1-fondo: #f8f5f2;
    --wk-seccion-tienda1-titulo: #3B332B;
    --wk-seccion-tienda1-texto: #2A2622;
    --wk-seccion-tienda1-texto-b: #8d9f6c;
    --wk-seccion-tienda1-texto-c: #2A2622;
    
    --wk-seccion-tienda1-enlace: #7A8E55;
    --wk-seccion-tienda1-enlace-over: #8d9f6c;
  
    --wk-seccion-tienda1-boton-fondo: #8d9f6c;
    --wk-seccion-tienda1-boton-fondo-over: #73874e;
    --wk-seccion-tienda1-boton-texto: #ffffff;
    --wk-seccion-tienda1-boton-texto-over: #ffffff;
    --wk-seccion-tienda1-boton-borde: #8d9f6c;
    --wk-seccion-tienda1-boton-borde-over: #73874e;
    --wk-seccion-tienda1-boton-border-radius: 40px;


    /* que sea muy parecido al fondo 1 */
    --wk-seccion-tienda2-fondo: #ebe4dd;



    

    


    background-color: var(--wk-seccion-tienda1-fondo) !important;
    color: var(--wk-seccion-tienda1-texto) !important;
}


.wk-seccion-tienda h1,
.wk-seccion-tienda h2,
.wk-seccion-tienda h3,
.wk-seccion-tienda h4,
.wk-seccion-tienda h5,
.wk-seccion-tienda h6
{
   color: var(--wk-seccion-tienda1-titulo) !important;
}

.wk-seccion-tienda table th {
     color: var(--wk-seccion-tienda1-texto) !important;
}

.wk-seccion-tienda table td {
     color: var(--wk-seccion-tienda1-texto-b) !important;
}

.wk-seccion-tienda a {
    color: var(--wk-seccion-tienda1-enlace) !important;
}


.wk-seccion-tienda a:hover {
    color: var(--wk-seccion-tienda1-enlace-over) !important;
}



.wk-seccion-tienda .woocommerce-info,
.wk-seccion-tienda .woocommerce-message {
    background-color: var(--wk-seccion-tienda2-fondo) !important;
    color: var(--wk-seccion-tienda1-texto) !important;
}



/* texto migas de pan */
.wk-seccion-tienda .woocommerce-breadcrumb {
    color: var(--wk-seccion-tienda1-texto) !important;   
}


/* iconos filtros */
.wk-seccion-tienda .wpc-open-icon {
    border-left-color: var(--wk-seccion-tienda1-texto) !important;
    border-top-color: var(--wk-seccion-tienda1-texto) !important;
}


.wk-seccion-tienda i.wpc-toggle-children-list:after, .wk-seccion-tienda i.wpc-toggle-children-list:before {
    background-color: var(--wk-seccion-tienda1-texto) !important;
}


/* barra filtros precio */
.wk-seccion-tienda .wpc-filters-range-inputs .ui-slider-horizontal .ui-slider-range {
    background-color: var(--wk-seccion-tienda1-enlace) !important;
}


/* botones por defecto */

.wk-seccion-tienda  .button {

   font-size: 1rem !important;
   padding: 0.5rem 1rem !important;
   background-color: var(--wk-seccion-tienda1-boton-fondo) !important;   
   color: var(--wk-seccion-tienda1-boton-texto) !important;   
   border-color: var(--wk-seccion-tienda1-boton-borde) !important;
   border-radius: var(--wk-seccion-tienda1-boton-border-radius) !important;
   border-width: 2px !important;
   border-style: solid !important;

}

.wk-seccion-tienda .button:hover {
   
    font-size: 1rem !important;
    padding: 0.5rem 1rem !important;
    background-color: var(--wk-seccion-tienda1-boton-fondo-over) !important;   
    color: var(--wk-seccion-tienda1-boton-texto-over) !important;   
    border-color: var(--wk-seccion-tienda1-boton-borde-over) !important;
    border-radius: var(--wk-seccion-tienda1-boton-border-radius) !important;
    border-width: 2px !important;
     border-style: solid !important;
}

.wk-seccion-tienda .button::after {
    content: none !important;
}

/* =================================================================================== */
/* =================================================================================== */
/* wk-tienda-modulo-productos: clase usada para todos los módulos con listado de productos */
/* =================================================================================== */
/* =================================================================================== */

.wk-tienda-modulo-productos {

	
}

.wk-tienda-modulo-productos .woocommerce-result-count {
	    color:  var(--wk-seccion-tienda1-texto) !important;
}


.wk-tienda-modulo-productos li {
    text-align: center !important;
}

.wk-tienda-modulo-productos a {
    
    
}

/* icono sobre imagen */
.wk-tienda-modulo-productos .et_shop_image .et_overlay::before{
    color: var(--wk-seccion-tienda1-boton-fondo) !important;   
}


/* insignia en oferta */
/* tuve que monerlo así para pisar un estilo de divi que ganaba especificidad */
.et-db #et-boc .et-l .wk-tienda-modulo-productos .woocommerce ul.products li.product .onsale, 
.wk-tienda-modulo-productos ul.products li.product .onsale {
     background-color: var(--wk-seccion-tienda1-boton-fondo) !important;
    color:  var(--wk-seccion-tienda1-boton-texto) !important;

}





/* nombre producto h2 */
.wk-tienda-modulo-productos h2.woocommerce-loop-product__title {
    color: var(--wk-seccion-tienda1-titulo) !important;
    font-size:1.2rem !important;
}

/* precio simbolos interiores   */
.wk-tienda-modulo-productos ul.products li.product span.price {

    color: var(--wk-seccion-tienda1-texto) !important;
}

/* precio  */
.wk-tienda-modulo-productos span.price span.woocommerce-Price-amount {
    color: var(--wk-seccion-tienda1-texto-b) !important;
}

/* precio antiguo */
.wk-tienda-modulo-productos span.price del .woocommerce-Price-amount {
    color: var(--wk-seccion-tienda1-texto-c) !important;
}

/* precio nuevo */
.wk-tienda-modulo-productos span.price ins .woocommerce-Price-amount {
    color: var(--wk-seccion-tienda1-texto-b) !important;
}

/* descripcion */
.wk-tienda-modulo-productos .wk-item-short-description {
    color: var(--wk-seccion-tienda1-texto) !important;
}


.wk-tienda-modulo-productos .button {
/*
   font-size: 1rem !important;
   padding: 0.5rem 1rem !important;
   background-color: var(--wk-seccion-tienda1-boton-fondo) !important;   
   color: var(--wk-seccion-tienda1-boton-texto) !important;   
   border-color: var(--wk-seccion-tienda1-boton-borde) !important;
   border-radius: var(--wk-seccion-tienda1-boton-border-radius) !important;*/

}

.wk-tienda-modulo-productos .button:hover {
   /*
    font-size: 1rem !important;
    padding: 0.5rem 1rem !important;
    background-color: var(--wk-seccion-tienda1-boton-fondo-over) !important;   
    color: var(--wk-seccion-tienda1-boton-texto-over) !important;   
    border-color: var(--wk-seccion-tienda1-boton-borde-over) !important;
    border-radius: var(--wk-seccion-tienda1-boton-border-radius) !important;*/
}



.wk-tienda-modulo-productos .button::after {
    /*content: none !important;*/
}


.wk-tienda-modulo-productos .added_to_cart {
    display: block !important;
    /*display: none !important;*/
    padding: 0.5rem !important;
}



/* paginación ul */
.wk-tienda-modulo-productos .woocommerce-pagination .page-numbers {
    border:0 !important;
}

/* paginación li */
.wk-tienda-modulo-productos .woocommerce-pagination .page-numbers li {
    border:0 !important;
    border-radius: 50%;
 
}

/* paginación over */
.wk-tienda-modulo-productos .woocommerce-pagination .page-numbers li a:hover {

       background-color: var(--wk-seccion-tienda1-boton-fondo) !important;   
          color: var(--wk-seccion-tienda1-boton-texto) !important;   
}

/* paginación  actual*/
.wk-tienda-modulo-productos .woocommerce-pagination .page-numbers li span.current {
       background-color: var(--wk-seccion-tienda1-boton-fondo) !important;   
          color: var(--wk-seccion-tienda1-boton-texto) !important;   
}



/* =================================================================================== */
/* =================================================================================== */
/* FICHA DE PRODUCTO */
/* =================================================================================== */
/* =================================================================================== */

#wk-tienda-ficha-producto {

}


/* insignia en oferta */
/* tuve que monerlo así para pisar un estilo de divi que ganaba especificidad */
#wk-tienda-ficha-producto .onsale {
     background-color: var(--wk-seccion-tienda1-boton-fondo) !important;
    color:  var(--wk-seccion-tienda1-boton-texto) !important;

}

/* nombre producto */
#wk-tienda-ficha-producto .et_pb_wc_title h1 {
   color: var(--wk-seccion-tienda1-titulo) !important;
}


/* precio antiguo */
#wk-tienda-ficha-producto .price del {
    color: var(--wk-seccion-tienda1-texto-c) !important;
}

/* precio nuevo */
#wk-tienda-ficha-producto .price ins {
    color: var(--wk-seccion-tienda1-texto-b) !important;
}

#wk-tienda-ficha-producto table.variations td span::after {
	display:none !important; /*quita el doble selector del select */
}

/* boton carrito y boton ver carrito en mensaje*/
#wk-tienda-ficha-producto .et_pb_wc_add_to_cart button,
#wk-tienda-ficha-producto .woocommerce-message a.button {
     /*  font-size: 1rem !important;
   padding: 0.5rem 1rem !important;
   background-color: var(--wk-seccion-tienda1-boton-fondo) !important;   
   color: var(--wk-seccion-tienda1-boton-texto) !important;   
   border-color: var(--wk-seccion-tienda1-boton-borde) !important;
   border-radius: var(--wk-seccion-tienda1-boton-border-radius) !important;*/
}


#wk-tienda-ficha-producto .et_pb_wc_add_to_cart button::after,
#wk-tienda-ficha-producto .woocommerce-message a.button::after {
  /*  content: none !important;*/
}


/* boton carrito over */
#wk-tienda-ficha-producto .et_pb_wc_add_to_cart button:hover,
#wk-tienda-ficha-producto .woocommerce-message a.button:hover {
   /* font-size: 1rem !important;
    padding: 0.5rem 1rem !important;
    background-color: var(--wk-seccion-tienda1-boton-fondo-over) !important;   
    color: var(--wk-seccion-tienda1-boton-texto-over) !important;   
    border-color: var(--wk-seccion-tienda1-boton-borde-over) !important;
    border-radius: var(--wk-seccion-tienda1-boton-border-radius) !important;*/
}


/* producto meta */
#wk-tienda-ficha-producto .product_meta {
      color: var(--wk-seccion-tienda1-texto-b) !important;     
}

#wk-tienda-ficha-producto .product_meta .sku_wrapper {
      display: none !important;     
}




/* pestañas */
#wk-tienda-ficha-producto .woocommerce-tabs {
    border: 0 !important;
}

#wk-tienda-ficha-producto .woocommerce-tabs p {
    padding-bottom: 1em !important; /* si era el ultimo parrafo había un estilo de DIVI que no dejaba padding abajo y se pegaba a los h3... de abajo */
}


#wk-tienda-ficha-producto .woocommerce-tabs ul.wc-tabs {
background-color:  var(--wk-seccion-tienda1-fondo) !important;   
border-top: 0;
}

#wk-tienda-ficha-producto .woocommerce-tabs ul.wc-tabs:before {
border-bottom-color: var(--wk-seccion-tienda2-fondo) !important; 
}


@media (max-width: 767px) {

    #wk-tienda-ficha-producto .woocommerce-tabs ul.wc-tabs li {
        border-bottom-color: var(--wk-seccion-tienda2-fondo) !important; 
    }

}


#wk-tienda-ficha-producto .woocommerce-tabs ul.wc-tabs li {
        background-color: var(--wk-seccion-tienda1-boton-fondo) !important;  
    
  margin: 0 !important; 
  border: 0;  
border-top-left-radius: 10px !important;
    border-top-right-radius: 10px !important;
}



#wk-tienda-ficha-producto .woocommerce-tabs ul.wc-tabs li a {
    
    color: var(--wk-seccion-tienda1-boton-texto) !important;  

}


#wk-tienda-ficha-producto .woocommerce-tabs ul.wc-tabs li.active {
    background-color: var(--wk-seccion-tienda1-fondo) !important;  
    color: var(--wk-seccion-tienda1-titulo) !important;  
    z-index: 0 !important;

    /*  border-bottom: 0 !important;   */
     
}

#wk-tienda-ficha-producto .woocommerce-tabs ul.wc-tabs li.active a {
 color: var(--wk-seccion-tienda1-texto) !important;  

}




/* boton enviar reseña */
#wk-tienda-ficha-producto #review_form #respond input#submit {

   font-size: 1rem !important;
   padding: 0.5rem 1rem !important;
   background-color: var(--wk-seccion-tienda1-boton-fondo) !important;   
   color: var(--wk-seccion-tienda1-boton-texto) !important;   
   border-color: var(--wk-seccion-tienda1-boton-borde) !important;
   border-radius: var(--wk-seccion-tienda1-boton-border-radius) !important;

}


#wk-tienda-ficha-producto #review_form #respond input#submit:hover {
   
    font-size: 1rem !important;
    padding: 0.5rem 1rem !important;
    background-color: var(--wk-seccion-tienda1-boton-fondo-over) !important;   
    color: var(--wk-seccion-tienda1-boton-texto-over) !important;   
    border-color: var(--wk-seccion-tienda1-boton-borde-over) !important;
    border-radius: var(--wk-seccion-tienda1-boton-border-radius) !important;
}


/* =================================================================================== */
/* =================================================================================== */
/* PAGINA CARRITO */
/* =================================================================================== */
/* =================================================================================== */

#wk-pagina-carrito .coupon-error-notice {
   color: var(--wk-seccion-tienda1-texto) !important; 
}

#wk-pagina-carrito .woocommerce-cart-form__contents {
 border-color: var(--wk-seccion-tienda2-fondo) !important; 
    
}

#wk-pagina-carrito .cart_totals table {
     border-color: var(--wk-seccion-tienda2-fondo) !important; 
    
} 

#wk-pagina-carrito .cart_totals table .order-total th, 
#wk-pagina-carrito .cart_totals table .order-total td {
       border-top-color: var(--wk-seccion-tienda2-fondo) !important;   
} 
/* =================================================================================== */
/* =================================================================================== */
/* PAGINA CHECKOUT */
/* =================================================================================== */
/* =================================================================================== */
#wk-pagina-checkout .woocommerce-checkout-payment {
    background-color: transparent;

}
#wk-pagina-checkout .woocommerce-error {
    background-color: var(--wk-seccion-tienda2-fondo) !important; 
}

#wk-pagina-checkout .woocommerce-error {
    color: var(--wk-seccion-tienda1-texto) !important; 
}

#wk-pagina-checkout form.checkout_coupon {
   border-color: var(--wk-seccion-tienda2-fondo) !important; 
    
}

#wk-pagina-checkout .woocommerce-checkout-review-order-table {
      border-color: var(--wk-seccion-tienda2-fondo) !important; 
}


#wk-pagina-checkout .woocommerce-checkout-review-order-table .cart-subtotal td {
border-top-color: var(--wk-seccion-tienda2-fondo) !important; 
}      

/* =================================================================================== */
/* =================================================================================== */
/* PAGINA MI CUENTA */
/* =================================================================================== */
/* =================================================================================== */

#wk-pagina-mi-cuenta .woocommerce-error {
    background-color: var(--wk-seccion-tienda2-fondo) !important; 
}

#wk-pagina-mi-cuenta .woocommerce-error {
    color: var(--wk-seccion-tienda1-texto) !important; 
}

/* =================================================================================== */
/* =================================================================================== */
/* 006 shortcode categorias para la páginas de arhivo tienda */
/* =================================================================================== */
/* =================================================================================== */

.wk-categorias-tienda {
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.wk-categorias-tienda ul {
    list-style: none;
    padding: 0;
    display: flex;
    flex-wrap: wrap; /* Permitir que los elementos se envuelvan a la siguiente fila */
    justify-content: center; /* Centrar los elementos horizontalmente */
    margin: 0; /* Eliminar márgenes adicionales */
}

.wk-categorias-tienda li {
    text-align: center;
    margin: 10px;
    border: 1px solid #ddd;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
    min-width: 150px; /* Ancho mínimo de los elementos */
    max-width: 150px; /* Ancho máximo de los elementos */
    display: flex; /* Habilitar flexbox en el li */
    flex-direction: column; /* Alinear elementos en columna */
    align-items: center; /* Centrar elementos horizontalmente */
    justify-content: space-between; /* Centrar elementos verticalmente */
}

.wk-categorias-tienda img {
    max-width: 100%;
    height: auto;
    display: block;
    margin-bottom: 5px; /* Espacio entre la imagen y el texto */
}


.wk-categorias-tienda a span {
	padding-left: 0.3rem;
	padding-right: 0.3rem;
}




/* =================================================================================== */
/* =================================================================================== */
/* 002: shortcode mini carrito */
/* =================================================================================== */
/* =================================================================================== */


#wk-custom-cart-icon {
    position: relative;
    min-width: 90px;

    --wk-minicart-color-texto: #2A2622;
    --wk-minicart-color-enlace: #7A8E55;
	--wk-minicart-color-importe: #3B332B;
	--wk-minicart-color-carrito: #2A2622;
	--wk-minicart-color-globo: #a4b487;

    
}
    /* contenedor superior */
#wk-custom-cart-icon .cart-contents {
    display: flex;
    align-items: center;
	justify-content: flex-end;
    cursor: pointer;
    padding-right: 0.2rem;
    font-family: "Open Sans",Arial,sans-serif !important;
}

        /* dinero */
#wk-custom-cart-icon .cart-total-amount {
    color:var(--wk-minicart-color-importe);
    font-size:12px;
}

        /* imagen carrito */

#wk-custom-cart-icon .cart-icon-image {
	width: 20px;
	height: 20px;
    margin-left:0.5em;
    margin-right:1em;
    
}

#wk-custom-cart-icon .cart-icon-image svg {
    color:var(--wk-minicart-color-carrito);
}



        /* contador */
#wk-custom-cart-icon .cart-contents-count {
    background-color: var(--wk-minicart-color-globo);
    color: var(--wk-minicart-color-importe);
    border-radius: 50%;
    width: 2em;
    height: 2em;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.01em;
    /*margin-left: -0.9em;
    margin-bottom: -1em;*/
    font-size: 0.6em;
    line-height: 0;
    position:absolute;
    right:1em;
    bottom:-0.2em;
}



    /* desplegable */
#wk-custom-cart-icon .custom-cart-dropdown {
    display: none !important;
    position: absolute !important;
    right: 0 !important;
    top: 100% !important;
    background: white !important;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1) !important;
    z-index: 1000 !important;
    width: 300px !important;
    padding: 1em !important;

    font-family: "Open Sans",Arial,sans-serif !important;

    font-size:13px !important;

    color: var(--wk-minicart-color-texto) !important;
}

#wk-custom-cart-icon.open .custom-cart-dropdown {
    display: block !important;
}



        /* desplegable: lista productos */
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget {
    list-style: none !important;
    padding: 0 !important;
    margin: 0 !important;
    line-height: 20px !important;
}

            /* desplegable: producto */
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li {
    display: flex !important;
    
    margin-bottom: 12px !important;
}
                /* desplegable: X borrar */
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li .remove {
    color: red !important;
    display: block !important;
    font-size: 16px !important;
    height: 18px !important;
    width: 18px !important;
    text-align: center !important;
    line-height: 1 !important;
    border-radius: 100% !important;
  
    text-decoration: none !important;
    font-weight: 700 !important;
    border: 0 !important;   

    animation: none !important;
   

}
                /* desplegable: X borrar hover*/
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li .remove:hover {
    color: white !important;
    background-color: red;
    border-radius: 50%;
    animation: none !important;
 

}

                /* desplegable: imagen y texto producto*/
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li a:nth-child(2) {

    margin-right: auto !important;
    font-weight: normal !important;
    display: flex !important;

    color: var(--wk-minicart-color-enlace) !important;
}


                    /* desplegable: imagen */
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li img {
    max-width: 50px !important;
    max-height: 50px !important;
    margin-right: 6px !important;
    float: none !important;
    width: 50px !important;
    vertical-align: top !important;
    margin-left: 4px !important;
}

                /* desplegable: cantidad x precio */
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li .quantity {
    width: auto !important;
    
}

        /* desplegable: fila total productos */
#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__total {
    border-top: 1px solid #ccc !important;
    padding-top: 1em !important;
    margin-top: 1em !important;
    text-align: right !important;
}
        /* desplegable: botones contendor */
#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons {
    display: flex !important;
    justify-content: space-between !important;
    margin-top: 1em !important;
}
            /* desplegable: botones */
#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons a {
    flex: 1 !important;
    margin-right: 0.5em !important;
    text-align: center !important;

    padding:0.5rem !important;
    border: 1px solid var(--wk-minicart-color-enlace) !important;
    font-size: 13px!important;
    color: var(--wk-minicart-color-enlace) !important;
    
}


#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons a:hover {

    padding:0.5rem !important;
    background-color: #f3f3f3 !important;
}

#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons a::after {
    content: none !important;
    
    
}

#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons a:hover::after {
    content: none !important;
}




            /* desplegable: boton 2 */
#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons a:last-child {
    margin-right: 0 !important;
}

